<template>
  <div class="header">
    <b-img
      src="../assets/header.jpg"
      fluid
      alt="header image"
      class="imageheader"
    ></b-img>
    <div class="headertext">
      <h1 class="display-4">Welcome to your source of motivation!</h1>
      <h2 class="lead">Inspire yourself with the best developer quotes</h2>
    </div>
    <div class="scrolldowncontainer">
      <b-btn
        id="calltoaction"
        class="scrolldownbtn"
        variant="outline-light"
        size="lg"
        v-scroll-to="'#calltoaction'"
      >Start reading now</b-btn>
    </div>
  </div>
</template>

<script lang="ts">
// eslint-disable-next-line semi
import Vue from 'vue';

export default Vue.extend({
  name: 'Header'
})
</script>

<style scoped>
.header {
  position: relative;
  color: white;
}
.imageheader {
  opacity: 90%;
}
.headertext {
  position: absolute;
  width: 80%;
  top: 50%;
  left: 60%;
  transform: translate(-50%, -50%);
}
.scrolldowncontainer {
  position: absolute;
  top: 80%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.scrolldownbtn {
  border: 4px solid white;
}
@media screen and (max-width: 991px) {
  h1 {
    font-size: 30px;
  }
  h2 {
    font-size: 20px;
  }
  button {
    font-size: 15px;
  }
}
@media screen and (max-width: 767px) {
  h1 {
    font-size: 24px;
  }
  h2 {
    font-size: 16px;
  }
  button {
    font-size: 13px;
  }
}
@media screen and (max-width: 575px) {
  h1 {
    font-size: 18px;
  }
  h2 {
    font-size: 12px;
  }
  button {
    font-size: 10px;
  }
}
</style>